Locator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.net
Class Locator

    java.lang.Object
      org.davic.net.Locator

All Implemented Interfaces:
  Locator

Direct Known Subclasses:
  OcapLocator, URLLocator

    public abstract class Locator

extends Object
implements Locator

Locator that encapsulates an URL into an object

Constructor Summary
`Locator(String url)` Constructor for the locator

Method Summary
`boolean` | `hasMultipleTransformations()` Indicates whether this locator maps to multiple transport dependent locators
`String` | `toExternalForm()` Returns a URL string corresponding to the locator If the instance of `Locator` has been created using `Locator(java.lang.String url)` and the URL is a non-null invalid URL the behaviour is implementation dependent.
`String` | `toString()` Returns the URL string representation

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.tv.locator.Locator
`equals, hashCode`

Constructor Detail

### Locator

    public Locator(String url)

  Constructor for the locator

  Parameters:
    `url` - a URL string

Method Detail

### toString

    public String toString()

  Returns the URL string representation

  Specified by:
    `toString` in interface `Locator`
  Overrides:
    `toString` in class `Object`
  Returns:
    a URL string
  See Also:
    `LocatorFactory.createLocator(java.lang.String)`

### hasMultipleTransformations

    public boolean hasMultipleTransformations()

  Indicates whether this locator maps to multiple transport dependent locators

  Specified by:
    `hasMultipleTransformations` in interface `Locator`
  Returns:
    true, if and only if this locator maps to more than one transport dependent locator

### toExternalForm

    public String toExternalForm()

  Returns a URL string corresponding to the locator If the instance of `Locator` has been created using `Locator(java.lang.String url)` and the URL is a non-null invalid URL the behaviour is implementation dependent.

  Specified by:
    `toExternalForm` in interface `Locator`
  Returns:
    a URL string
  See Also:
    `LocatorFactory.createLocator(java.lang.String)`, `javax.media.MediaLocator`, `URL`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD